Update a vehicle
curl --request PATCH \
--url https://app.unitedlogistics.com.do/api/v1/vehicles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": 123,
"fleet_id": 123,
"device_id": 123,
"number": "<string>",
"license_plate": "<string>",
"title": "<string>",
"type": "<string>",
"sub_type": "<string>",
"year": "<string>",
"color": "<string>",
"sim_imsi": "<string>",
"sim_phone": "<string>",
"vehicle_type": "<string>",
"provider_metadata": "<unknown>",
"maintenance_status": true,
"reactivate": true
}
'import requests
url = "https://app.unitedlogistics.com.do/api/v1/vehicles/{id}"
payload = {
"external_id": 123,
"fleet_id": 123,
"device_id": 123,
"number": "<string>",
"license_plate": "<string>",
"title": "<string>",
"type": "<string>",
"sub_type": "<string>",
"year": "<string>",
"color": "<string>",
"sim_imsi": "<string>",
"sim_phone": "<string>",
"vehicle_type": "<string>",
"provider_metadata": "<unknown>",
"maintenance_status": True,
"reactivate": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: 123,
fleet_id: 123,
device_id: 123,
number: '<string>',
license_plate: '<string>',
title: '<string>',
type: '<string>',
sub_type: '<string>',
year: '<string>',
color: '<string>',
sim_imsi: '<string>',
sim_phone: '<string>',
vehicle_type: '<string>',
provider_metadata: '<unknown>',
maintenance_status: true,
reactivate: true
})
};
fetch('https://app.unitedlogistics.com.do/api/v1/vehicles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": 123,
"provider": "karma",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fleet_id": 123,
"device_id": 123,
"time_zone": "America/Santo_Domingo",
"number": "<string>",
"license_plate": "<string>",
"title": "<string>",
"type": "<string>",
"sub_type": "<string>",
"year": "<string>",
"color": "<string>",
"sim_imsi": "<string>",
"sim_phone": "<string>",
"fetch_timestamp": "<string>",
"icon_url": "<string>",
"maintenance_status": true,
"vehicle_type": "<string>",
"deactivated_at": "<string>",
"deactivation_reason": "<string>",
"provider_metadata": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}Vehicles
Update a vehicle
Partially updates a vehicle. Set reactivate: true to clear deactivated_at and restore an inactive vehicle.
PATCH
/
vehicles
/
{id}
Update a vehicle
Authorizations
Authorization: Bearer ulk__. Cree la clave en Configuración → API.
Path Parameters
Body
application/json
Available options:
karma, internal Available options:
America/Santo_Domingo, America/New_York, America/Puerto_Rico, America/Bogota, America/Caracas, America/Panama, America/Mexico_City, America/Guatemala, America/Chicago, America/Denver, America/Phoenix, America/Los_Angeles, America/Havana, America/Jamaica, America/Lima, America/Santiago, America/Buenos_Aires, America/Sao_Paulo, UTC Maximum string length:
200Maximum string length:
100Maximum string length:
200Maximum string length:
100Maximum string length:
100Maximum string length:
20Maximum string length:
50Maximum string length:
50Maximum string length:
50Maximum string length:
100Response
OK
Show child attributes
Show child attributes
⌘I
